
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C#  命令模式 / iVAN</title>

    <meta name="description" content="C#  命令模式 一.命令模式:         将一个请求封装为一个对象,从而使你可用不同的请求对客户进行参数化:对请求排队或记录请求日志,以及支持可撤销的操作. --&lt;设计模式&gt; 二.模式结构: Command:         定义命令的接口,声明执行的方法. ConcreteCommand:         命令接口实现对象,是&quot;虚&quot;的实现:通常会持有接收者,并调用接收者的功能来完成命令要执行的操作. Receiver:         接收者,真正执行命令的对象.任何类都 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C#  命令模式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>一、命令模式：</h2>
<p>        将一个请求封装为一个对象，从而使你可用不同的请求对客户进行参数化；对请求排队或记录请求日志，以及支持可撤销的操作。<br />																							——《设计模式》</p>
<h2>二、模式结构：</h2>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjAyMjkyMDAwMzU3Nzc/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<p>Command：</p>
<p>        定义命令的接口，声明执行的方法。</p>
<p>ConcreteCommand：</p>
<p>        命令接口实现对象，是“虚”的实现；通常会持有接收者，并调用接收者的功能来完成命令要执行的操作。</p>
<p>Receiver：</p>
<p>        接收者，真正执行命令的对象。任何类都可能成为一个接收者，只要它能够实现命令要求实现的相应功能。</p>
<p>Invoker：</p>
<p>        要求命令对象执行请求，通常会持有命令对象，可以持有很多的命令对象。这个是客户端真正触发命令并要求命令执行相应操作的地方，也就是说相当于使用命令对象的入口。</p>
<p>Client：</p>
<p>        创建具体的命令对象，并且设置命令对象的接收者。注意这个不是我们常规意义上的客户端，而是在组装命令对象和接收者，或许，把这个Client称为装配者会更好理解，因为真正使用命令的客户端是从Invoker来触发执行。</p>
<h2>三、模式协作：</h2>
<p>1、 Client创建一个ConcreteCommand对象并指定他的Receiver对象。</p>
<p>2、 某个Invoker对象存储该ConcreteCommand对象。</p>
<p>3、该Invoker通过调用Command对象的Execute操作来提交一个请求。若该命令是可撤销的，ConcreteCommand就在执行Execute操作之前存储当前状态以用于取消该命令。</p>
<p>4、 ConcreteCommand对象对调用它的Receiver的一些操作以执行该请求。</p>
<h2>四、模式分析：</h2>
<p>1、命令模式的本质是对命令进行封装，将发出命令的责任和执行命令的责任分割开。</p>
<p>2、每一个命令都是一个操作：请求的一方发出请求，要求执行一个操作；接收的一方收到请求，并执行操作。</p>
<p>3、命令模式允许请求的一方和接收的一方独立开来，使得请求的一方不必知道接收请求的一方的接口，更不必知道请求是怎么被接收，以及操作是否被执行、何时被执行，以及是怎么被执行的。</p>
<p>4、命令模式使请求本身成为一个对象，这个对象和其他对象一样可以被存储和传递。</p>
<p>5、命令模式的关键在于引入了抽象命令接口，且发送者针对抽象命令接口编程，只有实现了抽象命令接口的具体命令才能与接收者相关联。</p>
<h2>五、模式优点：</h2>
<p>1、降低对象之间的耦合度。</p>
<p>2、新的命令可以很容易地加入到系统中。</p>
<p>3、可以比较容易地设计一个组合命令。</p>
<p>4、调用同一方法实现不同的功能。</p>
<h2>六、模式缺点：</h2>
<p>使用命令模式可能会导致某些系统有过多的具体命令类。</p>
<p>因为针对每一个命令都需要设计一个具体命令类，因此某些系统可能需要大量具体命令类，这将影响命令模式的使用。</p>
<h2>七、适用环境：</h2>
<p>1、使用命令模式作为“CallBack”在面向对象系统中的替代。“CallBack”讲的便是先将一个函数登记上，然后在以后调用此函数。 <br />2、需要在不同的时间指定请求、将请求排队。一个命令对象和原先的请求发出者可以有不同的生命期。换言之，原先的请求发出者可能已经不在了，而命令对象本身仍然是活动的。这时命令的接收者可以是在本地，也可以在网络的另外一个地址。命令对象可以在串形化之后传送到另外一台机器上去。<br />3、系统需要支持命令的撤消(undo)。命令对象可以把状态存储起来，等到客户端需要撤销命令所产生的效果时，可以调用undo()方法，把命令所产生的效果撤销掉。命令对象还可以提供redo()方法，以供客户端在需要时，再重新实施命令效果。 <br />4、如果一个系统要将系统中所有的数据更新到日志里，以便在系统崩溃时，可以根据日志里读回所有的数据更新命令，重新调用Execute()方法一条一条执行这些命令，从而恢复系统在崩溃前所做的数据更新。 <br />
<br /> </p>
<h2>八、实例解析：</h2>
<p>电视机遥控器：</p>
<p>电视机是请求的接收者，遥控器是请求的发送者，遥控器上有一些按钮，不同的按钮对应电视机的不同操作。抽象命令角色由一个命令接口来扮演，有三个具体的命令类实现了抽象命令接口，这三个具体命令类分别代表三种操作：打开电视机、关闭电视机和切换频道。显然，电视机遥控器就是一个典型的命令模式应用实例。</p>
<p>在面向对象程式设计的范畴中，命令模式（Command Pattern）是一种设计模式，它尝试以物件来代表实际行动。  </p>
<pre>/// &lt;summary&gt;
    /// 执行命令的接口
    /// &lt;/summary&gt;
    public interface ICommand
    {
        //命令执行方法
        void Execute();
    }

    /// &lt;summary&gt;
    /// 频道切换命令
    /// &lt;/summary&gt;
    public class CommandChange : ICommand
    {
        private Tv myTv;
        private int channel;
        public CommandChange(Tv tv, int channel)
        {
            myTv = tv; this.channel = channel;
        }
        public void Execute()
        {
            myTv.changeChannel(channel);
        }
    }

    /// &lt;summary&gt;
    /// 关机命令
    /// &lt;/summary&gt;
    public class CommandOff : ICommand
    {
        private Tv myTv;
        public CommandOff(Tv tv)
        {
            myTv = tv;
        }
        public void Execute()
        {
            myTv.turnOff();
        }
    }

    /// &lt;summary&gt;
    /// 开机命令
    /// &lt;/summary&gt;
    public class CommandOn : ICommand
    {
        private Tv myTv;
        public CommandOn(Tv tv)
        {
            myTv = tv;
        }
        public void Execute()
        {
            myTv.turnOn();
        }
    }

    /// &lt;summary&gt;
    /// 可以看作是遥控器
    /// Invoker对象:要求命令对象执行请求，通常会持有命令对象，可以持有很多的命令对象。
    /// 这个是客户端真正触发命令并要求命令执行相应操作的地方，也就是说相当于使用命令对象的入口。
    /// &lt;/summary&gt;
    public class Control
    {
        private ICommand onCommand, offCommand, changeChannel;
        public Control(ICommand on, ICommand off, ICommand channel)
        {
            onCommand = on; offCommand = off; changeChannel = channel;
        }
        public void TurnOn()
        {
            onCommand.Execute();
        }
        public void TurnOff()
        {
            offCommand.Execute();
        }
        public void ChangeChannel()
        {
            changeChannel.Execute();
        }
    }

    /// &lt;summary&gt;
    /// 命令接收者
    /// &lt;/summary&gt;
    public class Tv
    {
        public int currentChannel = 0;
        public void turnOn()
        {
            MessageBox.Show("The televisino is on.");
        }
        public void turnOff()
        {
            MessageBox.Show("The television is off.");
        }
        public void changeChannel(int channel)
        {
            this.currentChannel = channel;
            MessageBox.Show("Now TV channel is " + channel);
        }
    }</pre>
<p>本文参考：</p>
<p><a href="http://www.cnblogs.com/zhili/p/CommandPattern.html" rel="external nofollow noreferrer">http://www.cnblogs.com/zhili/p/CommandPattern.html</a></p>
<p><a href="http://baike.baidu.com/link?url=Cl2lla1YA9SELV-b1FsijUA1n6MMT_ePuOIBl2OgZe4UqpR81TLbQ40qI5DAQ3kICkZ1GLZkOUq8oUu8mLcQj_" rel="external nofollow noreferrer">http://baike.baidu.com/link?url=Cl2lla1YA9SELV-b1FsijUA1n6MMT_ePuOIBl2OgZe4UqpR81TLbQ40qI5DAQ3kICkZ1GLZkOUq8oUu8mLcQj_</a></p>
<p>demo代码：<a href="http://download.csdn.net/detail/xunzaosiyecao/9448285" rel="external nofollow noreferrer">http://download.csdn.net/detail/xunzaosiyecao/9448285</a></p>
<p><strong>作者：<a href="http://blog.csdn.net/jiankunking" rel="external nofollow noreferrer">jiankunking</a> 出处：<a href="http://blog.csdn.net/jiankunking" rel="external nofollow noreferrer">http://blog.csdn.net/jiankunking</a></strong></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:22:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C#  命令模式的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXdjAp.html" rel="bookmark">命令模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是命令模式? 命令模式(Commond Pattern):将来自客户端的请求封装为一个对象,无需了解这个请求激活的动作或有关接受这个请求的处理细节.命令模式的根本目的在于将&quot;请求者&quot;与&quot;实现者&quot;之间解耦. 其实命令模式和其他许多设计模式一样,就是在请求者和实现者中间加一个中间人的角色,来达到解除耦合的目的.通过对中间人的特殊设置,从而形成不同的设计模式,命令模式也不例外.命令模式正是通过一个中间的命令者角色完成请求与实现之间的解耦. 2.命令模式的类图: 命			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6LVoz.html" rel="bookmark">php设计模式  Command&lpar;命令模式&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;?php /** * 命令模式 * * 将一个请求封装为一个对象从而使你可用不同的请求对客户进行参数化,对请求排除或记录请求日志,以及支持可取消的操作 */ interface Command { public function execute(); } class Invoker { private $_command = array(); public function setCommand($command) { $this-&gt;_command[] = $command; } publ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbE0K9z.html" rel="bookmark">&period;NET中的设计模式四：命令模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				设计 命令模式(Command)结构并不复杂,简单的说,就是将某些职责封装成对象,对象的激发者(Invoker)和接收者(Reciever)都不过问命令的执行过程.用这样的方式解除了激发者和接受者之间的耦合,为程序提供了更清晰的层次结构.实际运用中经常是将系统中的命令抽象成一个接口,所有的命令都是这个接口的实现,如下所示: Command类是ICommand的实现,Command类实现了execute方法,其他命令类都是Command方法的子类.这样激发者接受者和接受者面临的环境就非常简单了:统			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYPZBb.html" rel="bookmark">用命令模式实现对象存储&mdash;&mdash;对象与关系数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.开发背景 面向对象方法在软件开发的分析.设计以及编码中作用越来越重要,它 在适应系统需求变化.提高软件可重用性和开发效率方面有着其它开发方法无法比拟的优点 .面向对象思想将应用域中的概念描述成对象,应用系统由一系列对象构成,对象之间可以 传递消息,系统的运作可说就是对象间的协同工作.有过开发经验人都知道,应用系统中有 些是对象是要持久存在的,需要将它们存入磁盘,以便在重启系统时能够调入系统.这些对 象在面向对象方法中主要指实体对象,为了一致,本文中以实体对象代表所有需要存储的对 象. 目前,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm72D1b.html" rel="bookmark">传统设计模式（六）命令模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				命令模式将请求封装成对象,以便使用不同的请求.队列或者日志来参数化其他对象.命令模式也支持可撤销的操作.用户程序在使用的时候,只与该命令对象打交道,而不用与一类对象打交道,降低了耦合性,提高了程序设计的灵活性. 我们还是那数据库操作为例 public class DBInstance { public void ExecuteNonQuery() { } public void ExecuteDataset() { } } public class SqlInstance : DBInstanc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7m5Jb.html" rel="bookmark">解读设计模式----命令模式&lpar;Command Pattern&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文与作者原文有一定的偏差,其中加入了一部分是个人看法,详细请查看作者原文.*** 原文连接http://www.dofactory.com/Patterns/PatternCommand.aspx 命令模式意图: GOF 在&lt;设计模式&gt;一书中阐述其意图:&quot;将一个请求封装为一个对象,从而使你可用不同的请求对客户进行参数化:对请求排队或记录请求日志,以及支持可取消的操作.&quot;这里所谓的&quot;不同的请求&quot;也既意味着请求可能发生的变化,是一个可能扩展的功能点. 命令			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AdYBp.html" rel="bookmark">&period;Net设计模式实例之命令模式&lpar;Command Pattern&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.命令模式简介(Brief Introduction) 命令模式(Command Pattern)将请求封装为一个对象,从而使你用不同的请求对客户进 行参数化,对请求排队或纪录请求日志,以及支持可撤销的操作. Encapsulate a request as an object, thereby letting you parameterize clients with different requests, queue or log requests, and support undoabl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4Ad8p.html" rel="bookmark">用expect免密码进入MySQL命令模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一般情况下,我们想要进入MySQL命令模式总是需要按如下交互输入密码确认,才能进入命令行模式: zhanhailiang@linux-06bq:~&gt; mysql -u sl -p Enter password: 其实我们完全可以使用expect编写脚本,来通来expect与shell交互通信来实现免密码登录: zhanhailiang@linux-06bq:~&gt; cat mysql.sh #!/usr/local/bin/expect spawn /usr/local/services/mys			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2yeovz.html" rel="bookmark">php设计模式之命令模式的应用详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 命令模式:将一个请求封装为一个对象,从而你可用不同的请求对客户进行参数化:对请求排队或记录请求日志,以及支持可撤销操作.  命令类: 1.命令角色:声明了一个给所有具体命令类的抽象接口.这是一个抽象角色. 2.具体命令角色:定义一个接受者和行为之间的弱耦合:实现execute方法,负责调用接受的相应操作.execute()方法通常叫做执行方法 3.客户角色:创建一个具体命令对象并确定其接受者. 4.请求者角色:负责调用命令对象执行请求,相关的方法叫做行动方法. 5.接受者角色:负责具体实施和执			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7k9XAz.html" rel="bookmark">php设计模式之命令模式使用示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了php设计模式之命令模式使用示例,命令模式将一个请求封装为一个对象,从而你可用不同的请求对客户进行参数化:对请求排队或记录请求日志,以及支持可撤销操作 命令类: 1.命令角色:声明了一个给所有具体命令类的抽象接口.这是一个抽象角色. 2.具体命令角色:定义一个接受者和行为之间的弱耦合:实现execute方法,负责调用接受的相应操作.execute()方法通常叫做执行方法 3.客户角色:创建一个具体命令对象并确定其接受者. 4.请求者角色:负责调用命令对象执行请求,相关的方法叫			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmA9wp.html" rel="bookmark" class="title">Web开发中对CSS类及id的规范化命名</a>
					<div>
						css|web|规范|规范化 Web开发人员可以通过创建CSS类及id名称并使用这些名称来对divs以及其他的格式页面元素进行标识.对开发人员来说,在命名重新定义XHTML标记(tags)的CSS s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlrP8z.html" rel="bookmark" class="title">ASP高级技巧：在ASP中使用Oracle数据库</a>
					<div>
						oracle|高级|技巧|数据|数据库 Oracle是世界上用得最多的数据库之一,活动服务器网页(ASP)是一种被广泛用于创建动态网页的功能强大的服务器端脚本语言.许多ASP开发人员一直在考虑,能否在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWZPrb.html" rel="bookmark" class="title">经常用到的PHP正则表达达式</a>
					<div>
						思维导图 介绍 正则表达式,大家在开发中应该是经常用到,现在很多开发语言都有正则表达式的应用,比如javascript,java,.net,php等等,我今天就把我对正则表达式的理解跟大家唠唠,不当之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2BDQp.html" rel="bookmark" class="title">Ruby on rails开发从头来（windows）（十一）-订单（Order）</a>
					<div>
						在上次的内容里,我们实现了清空购物车和金额的格式化处理.这次实现订单的模块. 1.首先,我们要在数据库里创建Order表,创建表的Sql如下: create table orders ( id int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR1ynz.html" rel="bookmark" class="title">Android下实现信息推送</a>
					<div>
						最近有幸负责参与开发公司的CMPP短信网关程序,采用的是Apache Mina框架实现.通过该项目对Socket通 信.长连接有了更深一步的理解,于是就想试试将Mina用到Android平台的信息推送 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M919r3M.html" rel="bookmark" class="title">win8消费者预览版Chrome无法设置默认浏览器</a>
					<div>
						虽然说IE10很优秀,但萝卜青菜各有所爱,例如Win8迷就喜欢谷歌的Chrome浏览器,各种同步!在Windows 8消费者预览版中Chrome无法设置默认浏览器,解决方法:需要鼠标移动到屏幕右上角  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl26Pz.html" rel="bookmark" class="title">XML与HTML的区别</a>
					<div>
						  &quot;可扩展标记语言&quot;(XML) 提供一种描述结构化数据的方法.与主要用于控制数据的显示和外观的 HTML 标记不同,XML 标记用于定义数据本身的结构和数据类型. XML 使用一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RZy9p.html" rel="bookmark" class="title">Photoshop制作流光飞舞的霓虹灯文字</a>
					<div>
						今天给大家来个简单的PS字体教程,快过年了,这也是今年最后一个,希望大家过个好年.这个教程的字体制作没啥难处,就是一个混合样式,大家主要学习怎么用素材把字体和背景相结合. 三联推荐:photoshop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOweA5z.html" rel="bookmark" class="title">QQ拼音笔画输入匹配生僻词句使用技巧</a>
					<div>
						随着智能拼音输入法的风靡,越来越多的朋友开始习惯使用如搜狗.QQ拼音等软件来进行字词录入,今天,为大家介绍的,针对很多生僻字.词拼写困难,寻找麻烦的特点,QQ拼音的&quot;笔画输入&quot;工具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVng6nz.html" rel="bookmark" class="title">Photoshop打造漂亮的花朵浮雕字教程</a>
					<div>
						花朵字制作比较简单.大致过程:选择好所需的文字或图形后,用图层样式加上浮雕及水晶效果,然后在文字上面装饰一些花朵或花纹素材即可. 最终效果 &lt;点小图查看大图&gt; 1.首先输入英文找个斜点的字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRymVxb.html" rel="bookmark" class="title">Wps文字文档保存及自动保存方法介绍</a>
					<div>
						  保存方法 方法一:直接使用ctrl+s保存,保存到指定的文件夹中.当文档右上方的星形标记&quot;*&quot;消失,这说明你的文档已经保存了.如下说明已经保存. 方法二:点击菜单栏上的保存键. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRD1lp.html" rel="bookmark" class="title">为什么U盘会被写进保护</a>
					<div>
						  第一种:质量比较好的U盘,本身有写保护的开关.要确认下是不是写保护的开关被开启了. 这种情况,通常比较少见,因为自己设置过,也可以找到U盘上的开关,关闭写保护开关就可以了,普通的U盘上很少有这种开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGVkap.html" rel="bookmark" class="title">Ajax异步无刷新对局部数据更新&lowbar;实用技巧</a>
					<div>
						复制代码 代码如下: &lt;asp:ScriptManager ID=&quot;smScriptManager&quot; runat=&quot;server&quot;&gt;&lt;/asp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjrDlp.html" rel="bookmark" class="title">ASP&period;NET 调用百度搜索引擎的代码&lowbar;实用技巧</a>
					<div>
						百度搜索引擎提供了一段嵌入到页面中的代码 &lt;form action=&quot;http://www.baidu.com/baidu&quot; target=&quot;_blank&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwBQWM.html" rel="bookmark" class="title">Oracle和MS SQL Server你选谁？</a>
					<div>
						微软(中国)有限公司宣布:2001年3月,Microsoft SQL Server 2000在美国连续获得三 项大奖,高可扩展数据仓库.商业智能功能深获肯定:2001年4月,微软SQL Server  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqqjBb.html" rel="bookmark" class="title">Android 解决程序启动时的黑屏问题</a>
					<div>
						去除方法: 1.在style里面添加一个style:  &lt;style name=&quot;ContentOverlay&quot;parent=&quot;@android:style/The ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bam3PQb.html" rel="bookmark" class="title">【Oracle】SP2-0613，SP2-0611问题解决</a>
					<div>
						查看sql的执行计划遇到如下报错: sys@im1&gt;explain plan for SELECT JOB, LOG_USER, SCHEMA_USER FROM DBA_JOBS; expla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6JjAb.html" rel="bookmark" class="title">mysql-WEB程序在linux服务器下连接Mysql超时！</a>
					<div>
						问题描述 WEB程序在linux服务器下连接Mysql超时! 请问下,我linux服务器部署WEB项目后,启动没报超时,但是一访问有数据的页面就报连接数据库超时.本地跑就没问题,我改了Mysql的默认 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAAwnM.html" rel="bookmark" class="title">关于今天的java面试，大家发表下评论</a>
					<div>
						问题描述 关于今天的java面试,大家发表下评论 贵公司在某网上看到我简历,打来电话邀请面试.网上简单搜索下该公司,决定去面试看看 笔试有一题 是否存在一个数 使得 i+1&lt;i ()选项 A.不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmegvM.html" rel="bookmark" class="title">多起网络谣言事件被查明相关责任人和网站受处理</a>
					<div>
						新华社北京10月25日电 记者近日从国家互联网信息办公室网络新闻宣传局获悉,近期在网络上流传的&quot;国家税务总局关于修订征收个人所得税问题的规定的47号公告&quot;.&quot;网传歼-10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBQ0Ab.html" rel="bookmark" class="title">【动态代理】动态代理Proxy&lowbar;04</a>
					<div>
						我们继续上一篇总结. 上篇我们说到,怎么让before()和after()中的内容也让客户灵活指定? 不管怎么样,我们现在需要一个这样的东西:可以动态指定对方法进行处理的指令. 我们创建一个方法调用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjre0M.html" rel="bookmark" class="title">网站成功与否很关键的六种因素</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   因为自己早就有建站这个打算,所以也看过不少别人建的站. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNdKkM.html" rel="bookmark" class="title">Swift实战-豆瓣电台（七）显示动画</a>
					<div>
						原文:Swift实战-豆瓣电台(七)显示动画   youku观看地址http://v.youku.com/v_show/id_XNzMxODQzNDIw.html 这是一个很酷的动画效果.特别是数据多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEyPvM.html" rel="bookmark" class="title">求C&num;混淆加密工具，及完整的混淆加密教程。怎么&period;net reader加密后不能用VS打包了，提示找不到依赖项？</a>
					<div>
						问题描述 1.求C#混淆加密工具,及完整的混淆加密教程.怎么.netreader加密后不能用VS打包了,提示找不到依赖项?2.用VS自带的DSS不能完全混淆,全局字符串还是能反编译,我的连接字符串赤裸 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xm6db.html" rel="bookmark" class="title">分四栏-SQL实现数据分栏，分成四栏，同时还要分页，每页显示48行</a>
					<div>
						问题描述 SQL实现数据分栏,分成四栏,同时还要分页,每页显示48行 原表格包含:类别名称.材料代码.材料名称.数量.交货期5个字段,信息量很大,现在想将此表的内容分四栏显示,同时栏目先按类别名称排序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBQ07z.html" rel="bookmark" class="title">如何启动&OpenCurlyDoubleQuote;Microsoft File Transfer Manager&rdquo;</a>
					<div>
						从MSDN下载东西的时候可能会自动启用&quot;Microsoft File Transfer Manager&quot;.这是微软提供的一个下载软件,支持断点续传,这一点在下载大文件的时候特别有意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWQgqM.html" rel="bookmark" class="title">阿里宣布成立&OpenCurlyDoubleQuote;大文娱&rdquo;版块 用&OpenCurlyDoubleQuote;合体&rdquo;组织&OpenCurlyDoubleQuote;合围&rdquo;快乐战略</a>
					<div>
						&quot;山高月小,水落石出&quot;,阿里巴巴在文化娱乐领域内眼花缭乱的投资,今天展示出真实的战略目的.6月15日,阿里巴巴集团CEO张勇宣布,正式成立&quot;阿里巴巴大文娱版块&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q2dDp.html" rel="bookmark" class="title">php的ajax简单实例&lowbar;php实例</a>
					<div>
						当输入j后,会触发ajax效果,从后台获取相应的名字中带有j的数据,并展示在suggestions中. 代码实现如下: 实现ajax需要三个文件,一个是html的表单文件,一个是js的核心文件,一个是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkO5Xz.html" rel="bookmark" class="title">绿盟科技发布OpenSSL高危漏洞技术分析与防护方案 G20成员国美国、中国、德国受影响较大</a>
					<div>
						近日,OpenSSL官方发布了版本更新,修复了多个OpenSSL漏洞,这次更新所修复的漏洞中,有两个危害等级较高的为CVE-2016-6304和CVE-2016-6305.绿盟科技对此漏洞进行了技术分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Y3NYb.html" rel="bookmark" class="title">C&plus;&plus;程序设计：原理与实践（进阶篇）16&period;1　标准库算法</a>
					<div>
						摘要 Programming: Principles and Practice Using C++, Second Edition 算法和映射 理论上,实践是简单的. --Trygve Reenska ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
